Levels
Update User Level
The ultimate no-paywall & featureful leveling bot. Transfer your MEE6/Amari/Polaris leaderboard to get started!
PATCH
/levels/{guildId}/users/{userId}Authorization
apiKey X-Api-Key<token>
The user's API key to authenticate requests
In: header
Path Parameters
guildId*string
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19userId*string
A Discord snowflake identifier
Match
^[1-9]\d+$Length
17 <= length <= 19Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
triggerCooldown?boolean
Whether to trigger the leveling cooldown for this user, meaning they won't gain XP for the duration of the cooldown after this request
Default
falsexp*||
The amount to modify the user's XP by. We recommend using the atomic increment/decrement methods, if possible.
Response Body
application/json
curl -X PATCH "https://api.lurkr.gg/v2/levels/stringstringstrin/users/stringstringstrin" \ -H "Content-Type: application/json" \ -d '{ "xp": { "increment": 1 } }'{ "level": { "level": 10000, "messageCount": 0, "xp": 2147483647 }}